### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- material
- previousDomainX
- scaleX
- scaleY
- updateScaleX
- updateScaleY

### Methods

- changeStyle
- drawPoints
- formatDecimals
- getInfoHTML
- pointHighlight
- setClassActive
- setupPlot
- zoomEnd
- zoomed

## Constructors

### constructor

- new default(gmfLidarprofileManagerInstance: LidarprofileManager): default

- - Defined in src/lidar/Plot.ts:108

  Provides a service to create an SVG element with defined axis and a LIDAR point drawing mechanism.

  #### Parameters

  - ##### gmfLidarprofileManagerInstance: LidarprofileManager

    gmf lidar profile manager instance

  #### Returns default

## Properties

### material

material: string

- Defined in src/lidar/Plot.ts:82

The material used for the drawing process. Initialized in the setup

### previousDomainX

previousDomainX: number[]

- Defined in src/lidar/Plot.ts:94

### scaleX

scaleX: ScaleLinear<number, number, never>

- Defined in src/lidar/Plot.ts:62

d3.scaleLinear X scale.

### scaleY

scaleY: ScaleLinear<number, number, never>

- Defined in src/lidar/Plot.ts:72

d3.scaleLinear Y scale.

### updateScaleX

updateScaleX: updateScaleFunction

- Defined in src/lidar/Plot.ts:67

d3.scaleLinear X scale.

### updateScaleY

updateScaleY: updateScaleFunction

- Defined in src/lidar/Plot.ts:77

d3.scaleLinear Y scale.

## Methods

### changeStyle

- changeStyle(material: string): void

- - Defined in src/lidar/Plot.ts:586

  Change the profile style according to the material color

  #### Parameters

  - ##### material: string

    value as defined in Pytree attribute configuration

  #### Returns void

### drawPoints

- drawPoints(points: LidarprofilePoints): void

- - Defined in src/lidar/Plot.ts:168

  Draw the points to the canvas element

  #### Parameters

  - ##### points: LidarprofilePoints

    of the profile

  #### Returns void

### formatDecimals

- formatDecimals(num: number, decimals: number): number

- - Defined in src/lidar/Plot.ts:577

  #### Parameters

  - ##### num: number

  - ##### decimals: number

  #### Returns number

### getInfoHTML

- getInfoHTML(point: LidarPoint, classification_color: LidarprofileServerConfigClassification, distDecimal: number): string

- - Defined in src/lidar/Plot.ts:542

  #### Parameters

  - ##### point: LidarPoint

    the concerned point.

  - ##### classification_color: LidarprofileServerConfigClassification

    the classification object concerning this point.

  - ##### distDecimal: number

    the number of decimal to keep.

  #### Returns string

  the text for the html info.

### pointHighlight

- pointHighlight(event: MouseEvent): void

- - Defined in src/lidar/Plot.ts:445

  Update the OpenLayers overlay that displays point position and attributes values

  #### Parameters

  - ##### event: MouseEvent

    Event .

  #### Returns void

### setClassActive

- setClassActive(classification: LidarprofileServerConfigClassifications, material: string): void

- - Defined in src/lidar/Plot.ts:609

  Show/Hide classes in the profile

  #### Parameters

  - ##### classification: LidarprofileServerConfigClassifications

    value as defined in the Pytree classification_colors configuration

  - ##### material: string

    value as defined in Pytree attribute configuration

  #### Returns void

### setupPlot

- setupPlot(rangeX: number[], rangeY: number[]): void

- - Defined in src/lidar/Plot.ts:227

  Setup the SVG components of the D3 chart

  #### Parameters

  - ##### rangeX: number[]

    range of the x scale

  - ##### rangeY: number[]

    range of the y scale

  #### Returns void

### zoomEnd

- zoomEnd(event: any): void

- - Defined in src/lidar/Plot.ts:362

  Update the plot data at the end of the zoom process

  #### Parameters

  - ##### event: any

    Event .

  #### Returns void

### zoomed

- zoomed(event: any): void

- - Defined in src/lidar/Plot.ts:388

  Update the plot axis during the zoom process

  #### Parameters

  - ##### event: any

    Event .

  #### Returns void

Generated using TypeDoc